@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat'
}

body, html {
    font-size: 1rem;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url("../../images/login/background.png");
    background-size: cover;
    overflow: hidden;
}

.container {
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;

}

.register-section {
    background-color: #ffffff;
    opacity: 0.7;
    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: fit-content; 
    padding: 12em;
}

h2 {
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 1.25em;
}

form {
    width: 100%;
    max-width: 25em;
    display: flex;
    flex-direction: column;
}

label {
    margin-bottom: 1em;
}

input {
    margin-bottom: 0.9375em;
    padding: 1em;
    border: 0.0625em solid #ccc;
    border-radius: 0.5em;
    background-color: rgb(255, 255, 255);
}

.password-container {
    position: relative;
    margin-bottom: 0.9375em;
}

.password-container input {
    width: 100%;
    padding-right: 2.5em;
}

.password-container i {
    position: absolute;
    right: 1em;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.forgot-password {
    text-align: center;
    margin-bottom: 1.25em;
    color: #DD0835;
    text-decoration: none;
}

.forgot-password:hover {
    text-decoration: underline;
}

.register-button {
    background-color: #DD0835;
    color: white;
    border: none;
    padding: 0.9375em;
    border-radius: 3.125em;
    cursor: pointer;
}

.register-button:hover {
    background-color: #DD0835;
}

.login-link {
    text-align: center;
    margin-top: 1.25em;
}

.login-link a {
    color: #DD0835;
    text-decoration: none;
}

.login-link a:hover {
    text-decoration: underline;
}


#eye-icon-password{
    padding-bottom: 0.6em;
    padding-top: 0.2em;
}

#w-box{
    position: absolute; 
    left: 0%; 
    top: 38%; 
    transform: translateY(-50%); 
    color: #666; 
    background-color: #f0f0f0; 
    height: 60px; width: 88px; 
    border-radius: 6px 0 0 6px; 
    border: 1px solid #ddd; 
    display: flex; 
    align-items: center; 
    padding-left: 1rem
}

#website{
    padding-left: 6rem
}






/* CHECKBOX DESIGN */
input[type="checkbox"]:checked {
    border: none;
    border-width: 0px;
  }
  
  .checkbox-wrapper-3 input[type="checkbox"] {
    visibility: hidden;
    display: none;
  }
  
  .checkbox-wrapper-3 .toggle {
    position: relative;
    display: block;
    width: 40px;
    height: 20px;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
    transform: translate3d(0, 0, 0);
  }
  .checkbox-wrapper-3 .toggle:before {
    content: "";
    position: relative;
    top: 3px;
    left: 3px;
    width: 34px;
    height: 14px;
    display: block;
    background: #9a9999;
    border-radius: 8px;
    transition: background 0.2s ease;
  }
  .checkbox-wrapper-3 .toggle span {
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    display: block;
    background: white;
    border-radius: 10px;
    box-shadow: 0 3px 8px rgba(154, 153, 153, 0.5);
    transition: all 0.2s ease;
  }
  .checkbox-wrapper-3 .toggle span:before {
    content: "";
    position: absolute;
    display: block;
    margin: -18px;
    width: 56px;
    height: 56px;
    background: #dd0835;
    border-radius: 50%;
    transform: scale(0);
    opacity: 1;
    pointer-events: none;
  }
  
  .checkbox-wrapper-3 #cbx-3:checked + .toggle:before {
    background: rgba(154, 153, 153, 0.5);
  }
  .checkbox-wrapper-3 #cbx-3:checked + .toggle span {
    background: #dd0835;
    transform: translateX(20px);
    transition: all 0.2s cubic-bezier(0.8, 0.4, 0.3, 1.25), background 0.15s ease;
    box-shadow: 0 3px 8px #dd0835;
  }
  .checkbox-wrapper-3 #cbx-3:checked + .toggle span:before {
    transform: scale(1);
    opacity: 0;
    transition: all 0.4s ease;
  }
  
  input[type="checkbox"]:checked {
    border: none;
    border-width: 0px;
  }
  
  .checkbox-wrapper-4 input[type="checkbox"] {
    visibility: hidden;
    display: none;
  }
  
  .checkbox-wrapper-4 .toggle1 {
    position: relative;
    display: block;
    width: 40px;
    height: 20px;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
    transform: translate3d(0, 0, 0);
  }
  .checkbox-wrapper-4 .toggle1:before {
    content: "";
    position: relative;
    top: 3px;
    left: 3px;
    width: 34px;
    height: 14px;
    display: block;
    background: #9a9999;
    border-radius: 8px;
    transition: background 0.2s ease;
  }
  .checkbox-wrapper-4 .toggle1 span {
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    display: block;
    background: white;
    border-radius: 10px;
    box-shadow: 0 3px 8px rgba(154, 153, 153, 0.5);
    transition: all 0.2s ease;
  }
  .checkbox-wrapper-4 .toggle1 span:before {
    content: "";
    position: absolute;
    display: block;
    margin: -18px;
    width: 56px;
    height: 56px;
    background: #dd0835;
    border-radius: 50%;
    transform: scale(0);
    opacity: 1;
    pointer-events: none;
  }
  
  .checkbox-wrapper-4 #cbx-4:checked + .toggle1:before {
    background: rgba(154, 153, 153, 0.5);
  }
  .checkbox-wrapper-4 #cbx-4:checked + .toggle1 span {
    background: #dd0835;
    transform: translateX(20px);
    transition: all 0.2s cubic-bezier(0.8, 0.4, 0.3, 1.25), background 0.15s ease;
    box-shadow: 0 3px 8px #dd0835;
  }
  .checkbox-wrapper-4 #cbx-4:checked + .toggle1 span:before {
    transform: scale(1);
    opacity: 0;
    transition: all 0.4s ease;
  }






@media (max-width: 64em) {
    .container {
        flex-direction: column;
    }

    .register-section {
        width: 100%;
        height: 100%;
        padding-bottom: 10em;
    }
}

@media (max-width: 75em) and (min-width: 64.0625em) {
    .container {
        flex-direction: row;
    }

    .register-section {
        width: 60%;
        height: 100%;
        padding-bottom: 10em;
        top: 6em;
    }
}
